import com.jinsight.jetchart.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.applet.*;

/**
 * This example demonstrates how to set individual colored bars and vertical
 * labels in a bar series.
 */
public class Main extends JFrame implements ItemListener {

    BarSerie b;
    Graph graph;
    public Main() {

        setTitle("The JetChart Library - Bar charts demo");

	JPanel p=new JPanel(new FlowLayout(FlowLayout.LEFT)); 
                                
 	JCheckBox cb=new JCheckBox("Horizontal");
	cb.addItemListener(this);
	p.add(cb);

        Container ct=getContentPane();
	ct.add("North",p);
	
	graph=new Graph();
	graph.setBackground(Color.lightGray);
	
	graph.setVDepth(10);

	graph.setLabels(new String[]{"January","February","March","April","May"});
        graph.getGraphSet(0).setLabelsColor(Color.blue);

	// Enables vertical labels
	graph.setVerticalLabelsEnabled(true);

	// Disables legend. The legend usually identifies the series by its color, but in
	// this case we have five different colors in this bar series. The legend is not necessary,
	// unless we assign a color to the series and set the  tooltip with a matching
	// border color, as we can see in the two lines that follows.
	graph.setLegendEnabled(false);

	//graph.getToolTip().setMatchingBorderEnabled(true);
	//graph.getToolTip().setPointerType(ToolTip.NONE);

	graph.setTitle(new String[]{"The JetChart Library - A bar chart demo with",
        "bars individually colored and vertical labels enabled."});
	graph.set3DEnabled(true);

	// Sets the gradient colors and the area where the gradient colors are painted.
	graph.setGradientColors(Color.black,Color.blue);
	graph.setGradientColorsArea(Graph.GRAPH_AREA);

	graph.getGraphSet(0).getXAxis().set3DColor(Color.green.darker());
	graph.getGraphSet(0).getYAxis().set3DColor(Color.green.darker());

	// Sets the properties of the primary GraphSet.

	// Enables grid.
        graph.getGraphSet(0).getGrid().setEnabled(true);
	graph.getGraphSet(0).getGrid().setColor(Color.gray);

	// Sets scale color.
	graph.getGraphSet(0).getScale().setColor(Color.red);

	graph.getToolTip().setEnabled(true);

	graph.setDraggingEnabled(true);
	
	// Creates a bar serie.
	b=new BarSerie(new double[]{143,100,210,345,400},"Bar Serie");

	b.setColor(Color.green.darker());

	b.setWidth(30);
	
	b.setColors(new Color[]{Color.yellow,Color.red,Color.green,Color.pink,Color.blue});

	graph.addSerie(b);

	ct.add("Center",graph);

        addWindowListener(new WindowAdapter() {
           public void windowClosing(WindowEvent evt) {
              System.exit(0);
           }
        });

        setSize(500,450);

        setVisible(true);

    }

    public void itemStateChanged(ItemEvent evt) {
	JCheckBox cb=(JCheckBox)evt.getSource();
	graph.setHorizontalGraphEnabled(cb.isSelected());
	graph.repaint();
    }
    
   
    public static void main(String[] args) {
       new Main();
    }

}
