import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;

public class Main extends JFrame {
    
    double HEARING_THRESHOLD=1;
    double RUSTLE_OF_LEAVES=10;
    double AVERAGE_WHISPER=100;
    double CITY_STREET_NO_TRAFFIC=Math.pow(10,3);
    double OFFICE_OR_CLASSROOM=Math.pow(10,5);
    double NORMAL_CONVERSATION=Math.pow(10,6);
    double CITY_STREET_BUSY_TRAFFIC=Math.pow(10,7);
    double NIAGARA_FALLS=Math.pow(10,8);
    double JACKHAMMER=Math.pow(10,9);
    double ROCK_GROUP=Math.pow(10,11);
    double PAIN_THRESHOLD=Math.pow(10,12);
    double JET_ENGINE=Math.pow(10,13);
    double SATURN_ROCKET=Math.pow(10,20);
    
    public Main() {
	
        setTitle("The JetChart Library - Logarithmic scale demo");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });

	
	double[] values={HEARING_THRESHOLD,RUSTLE_OF_LEAVES,AVERAGE_WHISPER,
			 CITY_STREET_NO_TRAFFIC,OFFICE_OR_CLASSROOM,NORMAL_CONVERSATION,
			 CITY_STREET_BUSY_TRAFFIC,NIAGARA_FALLS,JACKHAMMER,ROCK_GROUP,
			 PAIN_THRESHOLD,JET_ENGINE,SATURN_ROCKET};
	
	Graph graph=new Graph();
	
	String[] labels={"Threshold of hearing","Rustle of leaves","Average whisper(at 1m)",
			 "City street,no traffic","Office,classroom","Normal conversation(1m)",
			 "City street,busy traffic","Niagara Falls","Jackhammer","Rock group",
			 "Threshold of pain" ,"Jet engine(50m)","Saturn rocket(50m)"};
	
	graph.setLabels(labels);
	graph.setLabelsFont(new Font("SansSerif",Font.PLAIN,12));
	graph.setVerticalLabelsEnabled(true);
	graph.getGraphSet(0).setLabelsColor(Color.blue);
	
	graph.getToolTip().setEnabled(true);
	graph.getToolTip().setType(ToolTip.LABEL);
	graph.setTitle(new String[]{"Sound levels and relative intensity"});
	graph.setTitleFont(new Font("SansSerif",Font.BOLD,14));
	graph.setTitleForeground(Color.green.darker());
	graph.setTitleGap(20);
	
	Image img=getToolkit().getImage("loud.gif");
	graph.setBackgroundImage(img,Graph.TOP_LEFT);
	
	LineSerie ls=new LineSerie(values,"");
	ls.setColor(Color.green.darker());
	ls.setThickness(2);
	
	graph.addSerie(ls);
	
	TargetLine tl=new TargetLine(Math.pow(10,12));
	tl.setText("Threshold of pain");
	tl.setColor(Color.red);
	tl.setThickness(2);
	
	graph.getGraphSet(0).addTargetLine(tl);
	
	Grid grid=graph.getGraphSet(0).getGrid();
	grid.setEnabled(true);
	grid.setColor(Color.lightGray);
	
	
	Scale scale=graph.getGraphSet(0).getScale();
	scale.setFont(new Font("SansSerif",Font.PLAIN,12));
	scale.setAutoScaleEnabled(false);
	scale.setLogEnabled(true);
	scale.setVisibleLabelsIndexes(new int[]{0,2,4,6,8,10,12,14,16,18,20});
	
	scale.setLabels(new String[]{"200 dB","190 dB","180 dB","170 dB","160 dB","150 dB","140 dB",
			             "130 dB","120 dB","110 dB","100 dB","90 dB","80 dB","70 dB",
			             "60 dB","50 dB","40 dB","30 dB","20 dB","10 dB","0 dB"});
	
        Container ct=getContentPane();

	ct.add("Center",graph);
	
	setSize(500,400);
	setVisible(true);
	
    }
    
    public static void main(String[] args) {
	new Main();
    }
    
}













