import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;

public class Main extends JFrame {

    public Main() {
	
	setTitle("The JetChart Library - Bubble chart example");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	setChartProperties(sg);
	
	double[][] values={{100,80,30},{50,-120,40},{30,-40,90},{70,-100,60},{40,-50,50},{-65,80,70},{-40,30,50},
	{-30,-80,40},{-60,-90,50},{-20,-60,70}};
	
	BubbleSerie bs=new BubbleSerie(values,"Bubble series");
	bs.setColor(Color.yellow);
	bs.setBorderEnabled(true);
	
	sg.addSerie(bs);

	getContentPane().add("Center",sg);

	setSize(500,400);

	setVisible(true);

    }

    private void setChartProperties(ScatterGraph sg) {

	sg.setTitle(new String[]{"The JetChart Library","Bubble chart example"});
	sg.getToolTip().setEnabled(true);
	
	Scale vScale=sg.getVScale();
	vScale.setAutoScaleEnabled(false);
	vScale.setMaxValue(150);
	vScale.setMinValue(-150);
	vScale.setIncrement(30);
	vScale.setPosition(Scale.LEFT_RIGHT);
	vScale.setValueFormat("###,###");
	
	Scale hScale=sg.getHScale();
	hScale.setAutoScaleEnabled(false);
	hScale.setMaxValue(120);
	hScale.setMinValue(-120);
	hScale.setIncrement(30);
	hScale.setPosition(Scale.TOP_BOTTOM);
	hScale.setValueFormat("###,###");

	Grid grid=sg.getGrid();
	grid.setEnabled(true);
	grid.setColor(Color.lightGray);
	grid.setStyle(Grid.DASHED);

	GridCrossedLines gc=sg.getGridCrossedLines();
	gc.setEnabled(true);
	gc.setColor(Color.lightGray);
	gc.setStyle(GridCrossedLines.DASHED);

        Quadrant q1=sg.getQuadrant(1);
        q1.setTitle("First Quadrant");
        Quadrant q2=sg.getQuadrant(2);
        q2.setTitle("Second Quadrant");
        Quadrant q3=sg.getQuadrant(3);
        q3.setTitle("Third Quadrant");
        Quadrant q4=sg.getQuadrant(4);
        q4.setTitle("Fourth Quadrant");

    }
		

    public static void main(String[] args) {
	new Main();
    }
}
	
