import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Main extends JFrame {

    public Main() {

	setTitle("The JetChart Library - XML reading example");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	setChartProperties(sg);


	XYSerie xy1=new XYSerie();
	xy1.setColor(Color.red);
	xy1.setShape(XYSerie.CROSS);
	xy1.setId(0);
	xy1.setTitle("XY series");

	XYLineSerie xy2=new XYLineSerie();
	xy2.setColor(Color.blue);
	xy2.setThickness(2);
	xy2.setId(1);
	xy2.setTitle("XY line series");

	BubbleSerie bubble=new BubbleSerie();
	bubble.setColor(Color.yellow);
	bubble.setBorderEnabled(true);
	bubble.setBorderColor(Color.green.darker());
	bubble.setBorderThickness(2);
	bubble.setCenterPointEnabled(true);
	bubble.setId(2);
	bubble.setTitle("Bubble series");
	bubble.setMaxDiameter(70);
	
	sg.addSerie(xy1);
	sg.addSerie(xy2);
	sg.addSerie(bubble);

	sg.getToolTip().setEnabled(true);

	try {
	    FileReader fr=new FileReader("scatter.xml");
	    sg.readXMLData(fr);
	}
	catch (IOException e) {
	    e.printStackTrace();
	}


	getContentPane().add("Center",sg);
	
	setSize(600,500);
	
	setVisible(true);

    }

    private void setChartProperties(ScatterGraph sg) {

	sg.setTitle(new String[]{"The JetChart Library - XML reading example"});
	sg.getToolTip().setEnabled(true);
	sg.setGradientColors(new Color(181,212,226),Color.white);
	sg.setGradientColorsArea(ScatterGraph.GRAPH_AREA);

	Scale vScale=sg.getVScale();
	vScale.setAutoScaleEnabled(false);
	vScale.setMaxValue(200);
	vScale.setMinValue(-200);
	vScale.setIncrement(40);

	Scale hScale=sg.getHScale();
	hScale.setAutoScaleEnabled(false);
	hScale.setMaxValue(200);
	hScale.setMinValue(-200);
	hScale.setIncrement(40);
	

    }

    public static void main(String[] args) {
	new Main();
    }
}

	

