import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Main extends JFrame {

    public Main() {

	setTitle("The JetChart Library - XY chart");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	sg.setTitle(new String[]{"Calcium x Sodium concentrations"});

	double[][] values2000={{35.2,10.1},{37.3,10.85},{44.9,12.48},{17.68,12.63},{63.55,24.58},
			       {103.8,25.6},{250.2,39.7},{81.98,43.1},{126.1,48.4},{85.5,74.6}};
	
	double[][] values2001={{46.1,10.3},{46.7,12.5},{74.6,12.43},{28.28,13.53},{85.85,34.78},{110.1,26.6},
			       {319.2,30.1},{84.6,42.4},{342,89.3},{103.1,71.8}};
	
	
	XYSerie xy1=new XYSerie(values2000,"Samples collected\n on year 2000");
	xy1.setColor(Color.red);
	xy1.setToolTipText(new String[]{"Calcium:","Sodium:"});
	
	XYSerie xy2=new XYSerie(values2001,"Samples collected\n on year 2001");
	xy2.setColor(Color.blue);
	xy2.setToolTipText(new String[]{"Calcium:","Sodium:"});
	
	sg.addSerie(xy1);
	sg.addSerie(xy2);

	sg.getToolTip().setEnabled(true);

	sg.getBottomTitle().setText("Calcium concentration");
	sg.getLeftTitle().setText("Sodium concentration");

	Scale vScale=sg.getVScale();
	vScale.setAutoScaleEnabled(false);
	vScale.setMaxValue(120);
	vScale.setIncrement(10);

	Scale hScale=sg.getHScale();
	hScale.setAutoScaleEnabled(false);
	hScale.setMaxValue(400);
	hScale.setIncrement(40);

	Grid grid=sg.getGrid();
	grid.setEnabled(true);
	grid.setColor(Color.lightGray);
	grid.setStyle(Grid.DASHED);
	grid.setDashSize(5);

	GridCrossedLines gc=sg.getGridCrossedLines();
	gc.setEnabled(true);
	gc.setColor(Color.lightGray);
	gc.setStyle(GridCrossedLines.DASHED);
	gc.setDashSize(5);

	getContentPane().add("Center",sg);
	
	setSize(600,500);
	
	setVisible(true);

    }

    public static void main(String[] args) {
	new Main();
    }
}

	

