import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;

public class Example26 extends JFrame  {
    
    public Example26() {
	
        Graph graph=new Graph();
        graph.setTitle(new String[]{"The JetChart Library","Setting date labels"});
        
	graph.setStartDate("05012002");
	
        graph.setDateIncrement(Graph.WEEK_INCREMENT); // Sets a weekly increment
        
	graph.setVerticalLabelsEnabled(true);
	
        // Disables automatic scale and sets maximum, minimum and increment values.
        GraphSet graphSet=graph.getGraphSet(0);
        Scale scale=graphSet.getScale();
        scale.setAutoScaleEnabled(false);
        scale.setMaxValue(140);
        scale.setMinValue(90);
        scale.setIncrement(10);

        // Enables grid.
        Grid grid=graphSet.getGrid();
        grid.setEnabled(true);
        grid.setStyle(Grid.DASHED);
        grid.setColor(Color.lightGray);

        // Creates a line series
        double[] values={131.90,132.80,130.50,131.00,136.75,135.00,131.50,130.50,
                         132.40,133.30,130.90,123.40,122.25,118.00,120.00,116.10,
                         115.00,103.45,107.50,103.80,99.00,96.75,94.00,95.90,97.50,
                         98.40,100.20,102.00,110.40,104.50,108.70,107.75,107.45};

       LineSerie ls=new LineSerie(values,"Line series");
       ls.setColor(Color.blue);
       ls.setMarksEnabled(false);
       ls.setThickness(2);
       ls.setLegendEnabled(false);

       graph.addSerie(ls);

       Container ct=getContentPane();
       ct.add(graph);
       
       setSize(500,400);
       setVisible(true);
   }

   public static void main(String[] args) {
       new Example26();
   }

}    


